module Rsg
  module Generators
    module Options
      def self.included(base)
        configure_basic_options(base)
      end

      def self.configure_basic_options(base)
        base.instance_eval do
          class_option :quiet, type: :boolean, aliases: "-q", default: false, desc: "Suppress status output"
        end
      end
    end
  end
end
